diff --git a/support/bin/rts_awgtpman_exec b/support/bin/rts_awgtpman_exec
index 441274cab9c3a1f5a8d797a4680329ecfa2a8193..e5be1e8175c7e8045be66883ff3082ae156a349e 100755
--- a/support/bin/rts_awgtpman_exec
+++ b/support/bin/rts_awgtpman_exec
@@ -2,13 +2,16 @@
 . /etc/advligorts/env
 sys="$1"
 if [ -z "$sys" ] ; then
-    echo "usage: $(basename $0) <sys>"
+    echo "usage: $(basename $0) <sys>" >&2
     exit 1
 fi
-# add 
-if [[ $sys == *iop* ]] ; then
-    rate=${AWG_IOP_RATE:=-4}
+if [ -z "$SITE" ] ; then
+    echo "SITE variable not specified." >&2
+    exit 2
 fi
-exec awgtpman \
-    -s $sys \
-    $rate
+if [ -z "$IFO" ] ; then
+    echo "IFO variable not specified." >&2
+    exit 2
+fi
+export TARGET=${TARGET:=/opt/rtcds/${SITE,,*}/${IFO,,*}}
+exec awgtpman -s $sys
diff --git a/support/bin/rts_epics_exec b/support/bin/rts_epics_exec
index 605c6a5bdb2f66e9f111cb9a663f51c8e5cf82dc..8d65432a1d7eebd84cb1d3506db080d70fa6c015 100755
--- a/support/bin/rts_epics_exec
+++ b/support/bin/rts_epics_exec
@@ -2,11 +2,19 @@
 . /etc/advligorts/env
 sys="$1"
 if [ -z "$sys" ] ; then
-    echo "usage: $(basename $0) <sys>"
+    echo "usage: $(basename $0) <sys>" >&2
     exit 1
 fi
+if [ -z "$SITE" ] ; then
+    echo "SITE variable not specified." >&2
+    exit 2
+fi
+if [ -z "$IFO" ] ; then
+    echo "IFO variable not specified." >&2
+    exit 2
+fi
 export EPICS_DB_INCLUDE_PATH=/usr/lib/epics/dbd
-TARGET=/opt/rtcds/${SITE,,*}/${IFO,,*}
+export TARGET=/opt/rtcds/${SITE,,*}/${IFO,,*}
 ETARGET=${TARGET}/target/${sys}/${sys}epics
 cd ${ETARGET}
 exec ./${sys}epics ${sys}epics${IFO}.cmd
diff --git a/support/bin/rts_module_ctrl b/support/bin/rts_module_ctrl
index e5ad158613af5e30594cda95d2f83cde173448dd..53b36df955d494da74701f3ec600ac180f06028d 100755
--- a/support/bin/rts_module_ctrl
+++ b/support/bin/rts_module_ctrl
@@ -3,9 +3,17 @@
 cmd="$1"
 sys="$2"
 if [ -z "$sys" ] ; then
-    echo "usage: $(basename $0) start|stop <sys>"
+    echo "usage: $(basename $0) start|stop <sys>" >&2
     exit 1
 fi
+if [ -z "$SITE" ] ; then
+    echo "SITE variable not specified." >&2
+    exit 2
+fi
+if [ -z "$IFO" ] ; then
+    echo "IFO variable not specified." >&2
+    exit 2
+fi
 TARGET=/opt/rtcds/${SITE,,*}/${IFO,,*}
 case $cmd in
     start)